Package org.springframework.web.servlet.config.annotation

# Class ResourceChainRegistration

java.lang.Object
org.springframework.web.servlet.config.annotation.ResourceChainRegistration

public class ResourceChainRegistration extends Object
Assists with the registration of resource resolvers and transformers.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`ResourceChainRegistration(boolean cacheResources)`
`ResourceChainRegistration(boolean cacheResources, org.springframework.cache.Cache cache)`

## Method Summary

Modifier and Type
Method
Description
`ResourceChainRegistration`
`addResolver(ResourceResolver resolver)`
Add a resource resolver to the chain.
`ResourceChainRegistration`
`addTransformer(ResourceTransformer transformer)`
Add a resource transformer to the chain.
`protected List<ResourceResolver>`
`getResourceResolvers()`
`protected List<ResourceTransformer>`
`getResourceTransformers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceChainRegistration

public ResourceChainRegistration(boolean cacheResources)

### ResourceChainRegistration

public ResourceChainRegistration(boolean cacheResources, @Nullable org.springframework.cache.Cache cache)

## Method Details

### addResolver

public ResourceChainRegistration addResolver(ResourceResolver resolver)
Add a resource resolver to the chain.

Parameters:
  `resolver` - the resolver to add
Returns:
  the current instance for chained method invocation

### addTransformer

public ResourceChainRegistration addTransformer(ResourceTransformer transformer)
Add a resource transformer to the chain.

Parameters:
  `transformer` - the transformer to add
Returns:
  the current instance for chained method invocation

### getResourceResolvers

protected List<ResourceResolver> getResourceResolvers()

### getResourceTransformers

protected List<ResourceTransformer> getResourceTransformers()